- entityDefinitions:
  - IDC_RelationalOperator: '{f1b5d26f-2347-49cb-8aae-d80dd706fce2}'
    
  - IDR_Relational_Operator__has_reciprocal__Relational_Operator: '{706f4bdd-5196-40ca-924d-7ddd5d01d3b3}'
  - IDR_Relational_Operator__reciprocal_for__Relational_Operator: '{bea41570-79b0-4637-8827-ec742bd2d3c8}'
  
  - IDI_RelationalOperator_Subset: '{76d42d7c-f7da-4df6-92cc-b362e3a87d7b}'
  - IDI_RelationalOperator_Empty: '{b416747b-537f-46f9-b855-e71ca361d265}'
  - IDI_RelationalOperator_CountGreaterThan: '{dbc516aa-0fd9-47a9-bab5-8cede4102af6}'
  - IDI_RelationalOperator_CountLessThan: '{5101eb0d-bce3-4f1e-b4b1-e75f68a42829}'
  - IDI_RelationalOperator_CountEqualTo: '{beef419c-4375-41f2-909a-af8dded51d04}'
  - IDI_RelationalOperator_CountGreaterThanOrEqualTo: '{3579168f-52bc-49f3-be6f-a548ac74f502}'
  - IDI_RelationalOperator_CountLessThanOrEqualTo: '{bc05d0b7-59ee-42cc-91e9-90a1e0b3ed85}'
  - IDI_RelationalOperator_Superset: '{67d2da4e-d147-4526-9a94-526f0d79ec9c}'
  - IDI_RelationalOperator_CountNotEqualTo: '{92ac4ea4-b034-4b09-be67-c39608ae2ecf}'
  - IDI_RelationalOperator_NotEmpty: '{aeb5a45f-2aff-4b2b-8f6d-f05f50bc8f8c}'
  - IDI_RelationalOperator_NotInSet: '{7fde8600-680b-4c07-be3b-2660f00b01c2}'
  - IDI_RelationalOperator_InSet: '{824417e6-61e5-4e74-9e95-514905c01846}'
  - IDI_RelationalOperator_NotSuperset: '{8e695935-548a-4177-a474-581fc960eddb}'
  - IDI_RelationalOperator_NotSubset: '{ef7726d6-2feb-426c-bf2c-770014d35f68}'
  - IDI_RelationalOperator_NotExactMatch: '{f08a632a-1f3e-4979-8ec5-17fefc33b865}'
  - IDI_RelationalOperator_ExactMatch: '{93611da1-e21e-4021-9ddd-f7575e0c79ec}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_RelationalOperator;'
    name: 'Relational Operator'
    index: 148
    inherits: '&IDC_BooleanOperator;'
    superclasses:
    - instance: '&IDC_BooleanOperator;'
    description: operator that is the target of an EBE - Evaluate Boolean Expression Method
    customTagName: 'relationalOperator'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_Relational_Operator__has_reciprocal__Relational_Operator;'
      customTagName: 'reciprocalOperator'
  
  - relationship: '&IDR_Relational_Operator__has_reciprocal__Relational_Operator;'
    index: 4263
    sourceClassId: '&IDC_RelationalOperator;'
    type: 'has reciprocal'
    destinationClassId: '&IDC_RelationalOperator;'
    siblingRelationshipId: '&IDR_Relational_Operator__reciprocal_for__Relational_Operator;'
    singular: yes

  - relationship: '&IDR_Relational_Operator__reciprocal_for__Relational_Operator;'
    index: 4264
    sourceClassId: '&IDC_RelationalOperator;'
    type: 'reciprocal for'
    destinationClassId: '&IDC_RelationalOperator;'
    siblingRelationshipId: '&IDR_Relational_Operator__has_reciprocal__Relational_Operator;'
    singular: no

  - relationalOperator: '&IDI_RelationalOperator_Subset;'
    index: 7
    name: 'subset of the selection list'

  - relationalOperator: '&IDI_RelationalOperator_Empty;'
    index: 11
    name: 'is empty'
    frequent: yes

  - relationalOperator: '&IDI_RelationalOperator_CountGreaterThan;'
    index: 21
    name: 'count is greater than'

  - relationalOperator: '&IDI_RelationalOperator_CountLessThan;'
    index: 22
    name: 'count is less than'

  - relationalOperator: '&IDI_RelationalOperator_CountEqualTo;'
    index: 23
    name: 'count is equal to'

  - relationalOperator: '&IDI_RelationalOperator_CountGreaterThanOrEqualTo;'
    index: 24
    name: 'count is greater than or equal to'

  - relationalOperator: '&IDI_RelationalOperator_CountLessThanOrEqualTo;'
    index: 25
    name: 'count is less than or equal to'

  - relationalOperator: '&IDI_RelationalOperator_Superset;'
    index: 27
    name: 'superset of the selection list'

  - relationalOperator: '&IDI_RelationalOperator_CountNotEqualTo;'
    index: 34
    name: 'count is not equal to'

  - relationalOperator: '&IDI_RelationalOperator_NotEmpty;'
    index: 35
    name: 'is not empty'
    frequent: yes
  
  - relationalOperator: '&IDI_RelationalOperator_NotInSet;'
    index: 36
    name: 'not in the selection list'
    frequent: yes
  - relationalOperator: '&IDI_RelationalOperator_InSet;'
    index: 37
    name: 'in the selection list'
    frequent: yes
  - relationalOperator: '&IDI_RelationalOperator_NotSuperset;'
    index: 39
    name: 'NOT superset of the selection list'
  - relationalOperator: '&IDI_RelationalOperator_NotSubset;'
    index: 40
    name: 'NOT subset of the selection list'
  - relationalOperator: '&IDI_RelationalOperator_NotExactMatch;'
    index: 41
    name: 'NOT exact match with the selection list'
  - relationalOperator: '&IDI_RelationalOperator_ExactMatch;'
    index: 45
    name: 'exact match with the selection list'
